﻿using System;
using System.Diagnostics.CodeAnalysis;

namespace SubscriberServicesClient.Helpers
{
    public interface ISystemClock
    {
        DateTime Today { get; }

        DateTime Now { get; }
    }

    [ExcludeFromCodeCoverage]
    public class SystemClock : ISystemClock
    {
        public DateTime Today
        {
            get { return DateTime.Today; }
        }

        public DateTime Now
        {
            get { return DateTime.Now; }
        }
    }
}
